import { SelectFilterOption } from '../filter-group';

export function cloneSelectFilterOption(option: SelectFilterOption): SelectFilterOption {
  return {
    ...option,
    options: Array.isArray(option.options) ? [...option.options].map(cloneSelectFilterOption) : option.options,
  };
}
